Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http.components
Class RestServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.transport.http.components.RestServiceException

All Implemented Interfaces:
  Serializable

    public class RestServiceException

extends MessagingException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`RestServiceException(Message message, MuleEvent event)`
`RestServiceException(Message message, MuleEvent event, Throwable cause)`
`RestServiceException(Message message, MuleMessage muleMessage)` Deprecated. use RestServiceException(Message, MuleEvent)
`RestServiceException(Message message, MuleMessage muleMessage, Throwable cause)` Deprecated. use RestServiceException(Message, MuleEvent, Throwable)

Method Summary

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestServiceException

    @Deprecated
    public RestServiceException(Message message,
                                           MuleMessage muleMessage)

  Deprecated. use RestServiceException(Message, MuleEvent)

### RestServiceException

    public RestServiceException(Message message,
                                MuleEvent event)

### RestServiceException

    @Deprecated
    public RestServiceException(Message message,
                                           MuleMessage muleMessage,
                                           Throwable cause)

  Deprecated. use RestServiceException(Message, MuleEvent, Throwable)

### RestServiceException

    public RestServiceException(Message message,
                                MuleEvent event,
                                Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.